<?php
include "../koneksi.php";

$mesin = $_POST['mesin'];
$type = $_POST['type'];
$tgl = $_POST['tgl'];

if ($mesin == '') {
    $data['error']['mesin'] = 'Nama Mesin tidak boleh kosong';
}
if ($type == '') {
    $data['error']['type'] = 'Type Mesin Tidak Boleh Kosong';
}
if ($tgl == '') {
    $data['error']['tgl'] = 'Tanggal Mesin Tidak Boleh Kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO mesin SET
										Mesin = '$mesin',
										Type = '$type',
										Tanggal = '$tgl'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

